//////////////////////////////////////////////////////////////////////////////
// Copyright (c) 2007 Xilinx, Inc.
// This design is confidential and proprietary of Xilinx, All Rights Reserved.
//////////////////////////////////////////////////////////////////////////////
//   ____  ____
//  /   /\/   /
// /___/  \  /   Vendor:        Xilinx
// \   \   \/    Version:       1.0.0
//  \   \        Filename:      control.v
//  /   /        Date Created:  July 1, 2007
// /___/   /\    Last Modified: July 1, 2007
// \   \  /  \
//  \___\/\___\
//
// Devices:   Spartan-3 Generation FPGA
// Purpose:   Executable PicoBlaze code from control.psm without JTAG Loader
// Contact:   crabill@xilinx.com
// Reference: None
//
// Revision History:
//   Rev 1.0.0 - (crabill) First created July 1, 2007.
//
//////////////////////////////////////////////////////////////////////////////
//
// LIMITED WARRANTY AND DISCLAIMER. These designs are provided to you "as is".
// Xilinx and its licensors make and you receive no warranties or conditions,
// express, implied, statutory or otherwise, and Xilinx specifically disclaims
// any implied warranties of merchantability, non-infringement, or fitness for
// a particular purpose. Xilinx does not warrant that the functions contained
// in these designs will meet your requirements, or that the operation of
// these designs will be uninterrupted or error free, or that defects in the
// designs will be corrected. Furthermore, Xilinx does not warrant or make any
// representations regarding use or the results of the use of the designs in
// terms of correctness, accuracy, reliability, or otherwise.
//
// LIMITATION OF LIABILITY. In no event will Xilinx or its licensors be liable
// for any loss of data, lost profits, cost or procurement of substitute goods
// or services, or for any special, incidental, consequential, or indirect
// damages arising from the use or operation of the designs or accompanying
// documentation, however caused and on any theory of liability. This
// limitation will apply even if Xilinx has been advised of the possibility
// of such damage. This limitation shall apply not-withstanding the failure
// of the essential purpose of any limited remedies herein.
//
//////////////////////////////////////////////////////////////////////////////
// Copyright (c) 2007 Xilinx, Inc.
// This design is confidential and proprietary of Xilinx, All Rights Reserved.
//////////////////////////////////////////////////////////////////////////////
 
`timescale 1 ns / 1 ps
 
module control
  (
  input  wire  [9:0] address,
  input  wire        clk,
  output wire [17:0] instruction
  );
 
  RAMB16_S18 #(
    .INIT_00(256'h01560156015601560156C0250001001450054000402D007400C400A1010A0031),
    .INIT_01(256'h431BC22AC129C028C21AC119C018020001000000C02E002D401300E7C001C0FF),
    .INIT_02(256'h502D4701472CA0005419423A5419419854194000A200A1008001002DC32CC32B),
    .INIT_03(256'hC00FC00EC00DC00CC00BC00AC009C008C0020000C026C02EC027C00500FFA000),
    .INIT_04(256'hC023C022C021C020C01AC019C018C007C017C016C015C014C013C012C011C010),
    .INIT_05(256'hC0A0C09DC09CC091C090C08DC08CC081C080C0F0C02BC02AC029C028C025C024),
    .INIT_06(256'hC092C08EC08200B0C0AFC0A3C09FC093C08FC0830004E011E010C0ADC0ACC0A1),
    .INIT_07(256'hC00C003BC00B0006C00A007DC0090006C008003FC0070000A000C0AEC0A2C09E),
    .INIT_08(256'hC01400B3C0130004C01200B0C0110004C01000AFC00F0008C00E0053C00D0007),
    .INIT_09(256'hC0240006C0230040C0220000C0210000C0200000C0170004C01600E1C0150004),
    .INIT_0A(256'h0530013A0534013A052D013A0532013A0552013A0544013A0544013E0510A000),
    .INIT_0B(256'h0572013A0520013A054F013A054D013A0545013A0544013A0520013A0530013A),
    .INIT_0C(256'h013A053A013A0554013A0549013A0541013A0557013E0520A000013A0531013A),
    .INIT_0D(256'h013A0541013A0548013A0553013A0520013A054D013A054F013A0552013A0520),
    .INIT_0E(256'h0530013A0530013A0536013A0531013E0520A000013A0557013A054F013A0544),
    .INIT_0F(256'h0535013A0537013A0540013A0530013A0530013A0532013A0531013A0578013A),
    .INIT_10(256'h012804300156C004C0030000A000013A0562013A0532013A0531013A052C013A),
    .INIT_11(256'h0151013605010136050C0136050601360538014C012804300151012804300156),
    .INIT_12(256'hC403A000C404C403040001220400C403A000C404E4010148C404E401A0000151),
    .INIT_13(256'h51442510A000014C012F1450A000014C01281450A000C404C403040001220404),
    .INIT_14(256'h554DC10101480128A0005549C001000BA0000136C5C0A50FA0000136C580A50F),
    .INIT_15(256'h400001DA020301880166A0005557C30101510314A0005552C201014C0219A000),
    .INIT_16(256'hE909E808E707E606E505E404E303E202E101E00080010177C027000EC025E0FF),
    .INIT_17(256'h680867076606650564046303620261016000A000EF0FEE0EED0DEC0CEB0BEA0A),
    .INIT_18(256'h43714261417040600F00B40040014025A0006F0F6E0E6D0D6C0C6B0B6A0A6909),
    .INIT_19(256'h437542654174406415D2567015D2545015D2523015D250104773466345724462),
    .INIT_1A(256'h437942694178406815D4567015D4545015D4523015D450104777466745764466),
    .INIT_1B(256'h437D426D417C406C15D6567015D6545015D6523015D65010477B466B457A446A),
    .INIT_1C(256'h0F01B0004F00CF0515D8567015D8545015D8523015D85010477F466F457E446E),
    .INIT_1D(256'h51F5400151F1400061116010A000CF08A000CF04A000CF02A000CF01A000CFF0),
    .INIT_1E(256'h0100000051F5400851F1400751F5400651F1400551F5400451F1400351F54002),
    .INIT_1F(256'h420000004200800151FE400801004200810151F941FF4200810151F9411F4200),
    .INIT_20(256'h400552834004527D4003523C4002523A40015218400061116010A000E111E010),
    .INIT_21(256'hC2800200C226A207020E020EE2FF1210429F529D400852944007529240065288),
    .INIT_22(256'hC29FC293C28FC2830204C2ADC2ACC2A1C2A0C29DC29CC291C290C28DC28CC281),
    .INIT_23(256'hC2F81210423E0501423E0500429FC2AEC2A2C29EC292C28EC28202B0C2AFC2A3),
    .INIT_24(256'h02A444FA43F9C2F8C2F802A0C483C38244FC43FBC481C38002A444FA43F9C2F8),
    .INIT_25(256'h43FBC48DC38C02A444FA43F9C2F8C2F802A002A4C493C39244FC43FBC491C390),
    .INIT_26(256'hC49FC39E44FC43FBC49DC39C02A444FA43F9C2F8C2F802A002A4C48FC38E44FC),
    .INIT_27(256'h020E020E1210429FC2AEC2A202B0C2AFC2A30204C2ADC2ACC2A1C2A0020002A4),
    .INIT_28(256'hC226A207020E020EE2FF121013C14100429F032552AD42001210429FC226A207),
    .INIT_29(256'hA000429F0325429F0325C226A207020E020E121013C14100429F0325429F0325),
    .INIT_2A(256'h030843FD42FDA000A406833FA4008301E4FFE3FFB0004500A00002005EA3C220),
    .INIT_2B(256'hC28C030843FD42FDE313E212031C43FD42FDC383C282031243FD42FDC381C280),
    .INIT_2C(256'hC391C290030843FD42FDE315E214031C43FD42FDC38FC28E031243FD42FDC38D),
    .INIT_2D(256'h42FDC39DC29C030843FD42FDE317E216031C43FD42FDC393C292031243FD42FD),
    .INIT_2E(256'h43FD42FDC3A1C2A0030843FD42FDE319E218031C43FD42FDC39FC29E031243FD),
    .INIT_2F(256'h031243FD42FDC3ADC2AC030843FD42FDE31BE21A031C43FD42FDC3A3C2A20312),
    .INIT_30(256'h42BF43080208030E530FB8004305A307429FE31DE21C031C43FD42FDC3AFC2AE),
    .INIT_31(256'h030A020A030A020A4316B800422F43120208030E5319B8004304A307430CB800),
    .INIT_32(256'h641343834282C381C280E41203910386641243814280A000030A020A030A020A),
    .INIT_33(256'h6415438F428EC38DC28CE414039103866414438D428CC383C282E41303A90386),
    .INIT_34(256'h641743934292C391C290E41603910386641643914290C38FC28EE41503A90386),
    .INIT_35(256'h6419439F429EC39DC29CE418039103866418439D429CC393C292E41703A90386),
    .INIT_36(256'h641B43A342A2C3A1C2A0E41A03910386641A43A142A0C39FC29EE41903A90386),
    .INIT_37(256'h641D43AF42AEC3ADC2ACE41C03910386641C43AD42ACC3A3C2A2E41B03A90386),
    .INIT_38(256'hB3509240050A050A050A050A050A050A050A1540A000C3AFC2AEE41D03A90386),
    .INIT_39(256'hA000B3709260030502BF8401E4FFBC00F730D620070506C043A053942480A000),
    .INIT_3A(256'hF730D6200704063043B853AC2480A000A3008201E3FFE2FF8401E4FFB0002308),
    .INIT_3B(256'hA3008201E3FFE2FF8401E4FFB0002308A000B37092600304022F8401E4FFBC00),
    .INIT_3C(256'h020A63176216E315E214030A020A63156214E313E212030A020A63136212A000),
    .INIT_3D(256'h621CE31BE21A030A020A631B621AE319E218030A020A63196218E317E216030A),
    .INIT_3E(256'h0000000000000000000000000000000000000000A000E31DE21C030A020A631D),
    .INIT_3F(256'h415B000000000000000000000000000000000000000000000000000000000000),
    .INITP_00(256'h888888AAA8AAA2AAAAAAAAAAAAAAAAAAAAAA8AA2D2DDD57A2AA80BFEFFE3D3FF),
    .INITP_01(256'h3333333333332CCCCCCCCCCCCCCCCCB333333333333333328888888888888888),
    .INITP_02(256'h00002AAAAAAAAFA83FEDCB72DCB4B0B0DBCBCA8CAA32A38BF3333CF3CE8B3333),
    .INITP_03(256'hCDD377770DDDDDDDDD08888A26DDDD0000DDDD0000DDDD0000DDDD0000248000),
    .INITP_04(256'hA3A28AA3A0AC2BE82B0AFA0AC2BA0AC28CCEAA8AAA2AAAAA88A0F7777777742A),
    .INITP_05(256'hC2B0AC2B0AC2B0AC2B0AC2B0AC2B0AC2B0AC2B0AC255098DBFE28DFF8A0DFD38),
    .INITP_06(256'h02AF02AF02AF02AF02AF02AF02AF02AF02AF02AF02AF02AAAAE7AE4E7AE4EB0A),
    .INITP_07(256'hC000000000000AA82A82A82A82A82A825049941250F65049941250F65AAA8AAF))
  ram_1024_x_18 (
    .DI(16'h0000),
    .DIP(2'b00),
    .EN(1'b1),
    .WE(1'b0),
    .SSR(1'b0),
    .CLK(clk),
    .ADDR(address),
    .DO(instruction[15:0]),
    .DOP(instruction[17:16]));
 
endmodule
