///////////////////////////////////////////////////////////////////////////////
// Copyright (c) 2005 Xilinx, Inc.
// This design is confidential and proprietary of Xilinx, All Rights Reserved.
///////////////////////////////////////////////////////////////////////////////
//   ____  ____
//  /   /\/   /
// /___/  \  /   Vendor			: Xilinx
// \   \   \/    Version		: $Name: mig_v1_7_b7 $
//  \   \        Application		: MIG
//  /   /        Filename		: vlog_xst_bl4.v
// /___/   /\    Date Last Modified	: $Date: 2007/02/06 08:08:58 $
// \   \  /  \   Date Created		: Mon May 2 2005
//  \___\/\___\
// Device	: Spartan-3/3A
// Design Name	: DDR2 SDRAM
// Purpose	: This module has the instantiations main and infrastructure_top
//		  modules
///////////////////////////////////////////////////////////////////////////////

`timescale 1ns/100ps
module vlog_xst_bl4
  (
   inout [15:0] cntrl0_DDR2_DQ,
   output [12:0] cntrl0_DDR2_A,
   output [1:0] cntrl0_DDR2_BA,
   output  cntrl0_DDR2_CK,
   output  cntrl0_DDR2_CK_N,
   output  cntrl0_DDR2_CKE,
   output  cntrl0_DDR2_CS_N,
   output  cntrl0_DDR2_RAS_N,
   output  cntrl0_DDR2_CAS_N,
   output  cntrl0_DDR2_WE_N,
   output  cntrl0_DDR2_ODT,
   output [1:0] cntrl0_DDR2_DM,
   inout [1:0] cntrl0_DDR2_DQS,
   inout [1:0] cntrl0_DDR2_DQS_N,
   input  cntrl0_rst_dqs_div_in,
   output  cntrl0_rst_dqs_div_out,

   input  sys_clk_in,
   output clk90_out,
   output clock_out,
   output ckdiv_out,
   output clocklock,
   input  reset_in_n,
   input  refr_enable,

   input  [31:0] mig_input_data, // 32-bit input
   input  [3:0]  mig_input_mask, // 4-bit input
   input  [25:0] mig_input_addr, // 26-bit input
   input  [3:0]  mig_input_cmds, // 4-bit input
   input         mig_input_burst_done, // 1-bit input
   output [31:0] mig_output_data, // 32-bit output
   output        mig_output_data_valid, // 1-bit output
   output        mig_output_cmds_ack, // 1-bit output
   output        mig_output_init_val, // 1-bit output
   output        mig_output_ar_request, // 1-bit output
   output        mig_output_ar_done, // 1-bit output
   output        mig_output_wait_200us, // 1-bit output
   output        mig_output_rst, // 1-bit output,
   output        mig_output_rst90, // 1-bit output,
   output        mig_output_rst180 // 1-bit output,
   );

   wire       wait_200us;
   wire       clk_0;
   wire       clk90_0;
   wire       sys_rst;
   wire       sys_rst90;
   wire       sys_rst180;
   wire [4:0] delay_sel_val;

vlog_xst_bl4_main_0     main_00
   (
   .DDR2_DQ	(cntrl0_DDR2_DQ),
   .DDR2_A	(cntrl0_DDR2_A),
   .DDR2_BA	(cntrl0_DDR2_BA),
   .DDR2_CK	(cntrl0_DDR2_CK),
   .DDR2_CK_N	(cntrl0_DDR2_CK_N),
   .DDR2_CKE	(cntrl0_DDR2_CKE),
   .DDR2_CS_N	(cntrl0_DDR2_CS_N),
   .DDR2_RAS_N	(cntrl0_DDR2_RAS_N),
   .DDR2_CAS_N	(cntrl0_DDR2_CAS_N),
   .DDR2_WE_N	(cntrl0_DDR2_WE_N),
   .DDR2_ODT	(cntrl0_DDR2_ODT),
   .DDR2_DM	(cntrl0_DDR2_DM),
   .DDR2_DQS	(cntrl0_DDR2_DQS),
   .DDR2_DQS_N	(cntrl0_DDR2_DQS_N),
   .rst_dqs_div_in	(cntrl0_rst_dqs_div_in),
   .rst_dqs_div_out	(cntrl0_rst_dqs_div_out),

   .clk_int        (clk_0),
   .clk90_int      (clk90_0),
   .sys_rst        (sys_rst),
   .sys_rst90      (sys_rst90),
   .sys_rst180     (sys_rst180),
   .delay_sel_val  (delay_sel_val),
   .wait_200us     (wait_200us),
   .refr_enable    (refr_enable),

   .mig_input_data(mig_input_data), // 32-bit input
   .mig_input_mask(mig_input_mask), // 4-bit input
   .mig_input_addr(mig_input_addr), // 26-bit input
   .mig_input_cmds(mig_input_cmds), // 4-bit input
   .mig_input_burst_done(mig_input_burst_done), // 1-bit input
   .mig_output_data(mig_output_data), // 32-bit output
   .mig_output_data_valid(mig_output_data_valid), // 1-bit output
   .mig_output_cmds_ack(mig_output_cmds_ack), // 1-bit output
   .mig_output_init_val(mig_output_init_val), // 1-bit output
   .mig_output_ar_request(mig_output_ar_request), // 1-bit output
   .mig_output_ar_done(mig_output_ar_done) // 1-bit output
   );


vlog_xst_bl4_infrastructure_top infrastructure_top0
   (
    .SYS_CLK	(sys_clk_in),
    .reset_in_n	(reset_in_n),
    .wait_200us_rout   (wait_200us),
    .delay_sel_val1_val(delay_sel_val),
    .sys_rst_val       (sys_rst),
    .sys_rst90_val     (sys_rst90),
    .clk_int_val     (clk_0),
    .ckdiv_out       (ckdiv_out),
    .clocklock       (clocklock),
    .clk90_int_val     (clk90_0),
    .sys_rst180_val    (sys_rst180)
    );

assign clock_out = clk_0;
assign clk90_out = clk90_0;
assign mig_output_wait_200us = wait_200us;
assign mig_output_rst = sys_rst;
assign mig_output_rst90 = sys_rst90;
assign mig_output_rst180 = sys_rst180;

endmodule