///////////////////////////////////////////////////////////////////////////////
// Copyright (c) 2005 Xilinx, Inc.
// This design is confidential and proprietary of Xilinx, All Rights Reserved.
///////////////////////////////////////////////////////////////////////////////
//   ____  ____
//  /   /\/   /
// /___/  \  /   Vendor			: Xilinx
// \   \   \/    Version		: $Name: mig_v1_7_b7 $
//  \   \        Application		: MIG
//  /   /        Filename		: vlog_xst_bl4_data_path_iobs_0.v
// /___/   /\    Date Last Modified	: $Date: 2007/02/19 12:03:15 $
// \   \  /  \   Date Created		: Mon May 2 2005
//  \___\/\___\
// Device	: Spartan-3/3A
// Design Name	: DDR2 SDRAM
// Purpose	: This module has the instantiations s3_ddr_iob, s3_dqs_iob 
//		  and ddr_dm modules.
///////////////////////////////////////////////////////////////////////////////

`timescale 1ns/100ps
`include "../source/sdramtst/vlog_xst_bl4_parameters_0.v"

module vlog_xst_bl4_data_path_iobs_0
  (
   input                            clk,
   input                            clk90,
   input                            dqs_reset,
   input                            dqs_enable,
   inout [(`data_strobe_width-1):0] ddr_dqs,
   inout [(`data_width-1):0]        ddr_dq,
   inout  [(`data_strobe_width-1):0] ddr_dqs_n,
   output    dqs_int_delay_in0, 
   output    dqs_int_delay_in1, 
   output     [((`data_mask_width)-1):0]ddr_dm,
   input [(`data_width-1):0]      write_data_falling,
   input [(`data_width-1):0]      write_data_rising,
   input                          write_en_val,
   input [(`data_mask_width-1):0] data_mask_f,
   input [(`data_mask_width-1):0] data_mask_r,
   output [(`data_width-1):0]     ddr_dq_val
   );

   wire [(`data_width-1):0]         ddr_dq_in;


   assign                           ddr_dq_val = ddr_dq_in;

   vlog_xst_bl4_ddr2_dm_0 ddr2_dm0
      (
      .ddr_dm       (ddr_dm),
      .mask_falling (data_mask_f),
      .mask_rising  (data_mask_r),
      .clk90        (clk90)
      );



//***********************************************************************
// Read Data Capture Module Instantiations
//***********************************************************************
// DQS IOB instantiations
//***********************************************************************

   vlog_xst_bl4_s3_dqs_iob  s3_dqs_iob0
     (
      .clk            (clk),
      .ddr_dqs_reset  (dqs_reset),
      .ddr_dqs_enable (dqs_enable),
      .ddr_dqs        (ddr_dqs[0]),
      .ddr_dqs_n      (ddr_dqs_n[0]),
      .dqs            (dqs_int_delay_in0)
	  );

   vlog_xst_bl4_s3_dqs_iob  s3_dqs_iob1
     (
      .clk            (clk),
      .ddr_dqs_reset  (dqs_reset),
      .ddr_dqs_enable (dqs_enable),
      .ddr_dqs        (ddr_dqs[1]),
      .ddr_dqs_n      (ddr_dqs_n[1]),
      .dqs            (dqs_int_delay_in1)
	  );





//***********************************************************************
// DDR Data bit instantiations
//***********************************************************************

   vlog_xst_bl4_s3_ddr_iob  s3_ddr_iob0
    (
    .ddr_dq_inout       (ddr_dq[0]),
    .write_data_falling (write_data_falling[0]),
    .write_data_rising  (write_data_rising[0]),
    .read_data_in       (ddr_dq_in[0]),
    .clk90              (clk90),
    .write_en_val       (write_en_val)
    );
   vlog_xst_bl4_s3_ddr_iob  s3_ddr_iob1
    (
    .ddr_dq_inout       (ddr_dq[1]),
    .write_data_falling (write_data_falling[1]),
    .write_data_rising  (write_data_rising[1]),
    .read_data_in       (ddr_dq_in[1]),
    .clk90              (clk90),
    .write_en_val       (write_en_val)
    );
   vlog_xst_bl4_s3_ddr_iob  s3_ddr_iob2
    (
    .ddr_dq_inout       (ddr_dq[2]),
    .write_data_falling (write_data_falling[2]),
    .write_data_rising  (write_data_rising[2]),
    .read_data_in       (ddr_dq_in[2]),
    .clk90              (clk90),
    .write_en_val       (write_en_val)
    );
   vlog_xst_bl4_s3_ddr_iob  s3_ddr_iob3
    (
    .ddr_dq_inout       (ddr_dq[3]),
    .write_data_falling (write_data_falling[3]),
    .write_data_rising  (write_data_rising[3]),
    .read_data_in       (ddr_dq_in[3]),
    .clk90              (clk90),
    .write_en_val       (write_en_val)
    );
   vlog_xst_bl4_s3_ddr_iob  s3_ddr_iob4
    (
    .ddr_dq_inout       (ddr_dq[4]),
    .write_data_falling (write_data_falling[4]),
    .write_data_rising  (write_data_rising[4]),
    .read_data_in       (ddr_dq_in[4]),
    .clk90              (clk90),
    .write_en_val       (write_en_val)
    );
   vlog_xst_bl4_s3_ddr_iob  s3_ddr_iob5
    (
    .ddr_dq_inout       (ddr_dq[5]),
    .write_data_falling (write_data_falling[5]),
    .write_data_rising  (write_data_rising[5]),
    .read_data_in       (ddr_dq_in[5]),
    .clk90              (clk90),
    .write_en_val       (write_en_val)
    );
   vlog_xst_bl4_s3_ddr_iob  s3_ddr_iob6
    (
    .ddr_dq_inout       (ddr_dq[6]),
    .write_data_falling (write_data_falling[6]),
    .write_data_rising  (write_data_rising[6]),
    .read_data_in       (ddr_dq_in[6]),
    .clk90              (clk90),
    .write_en_val       (write_en_val)
    );
   vlog_xst_bl4_s3_ddr_iob  s3_ddr_iob7
    (
    .ddr_dq_inout       (ddr_dq[7]),
    .write_data_falling (write_data_falling[7]),
    .write_data_rising  (write_data_rising[7]),
    .read_data_in       (ddr_dq_in[7]),
    .clk90              (clk90),
    .write_en_val       (write_en_val)
    );
   vlog_xst_bl4_s3_ddr_iob  s3_ddr_iob8
    (
    .ddr_dq_inout       (ddr_dq[8]),
    .write_data_falling (write_data_falling[8]),
    .write_data_rising  (write_data_rising[8]),
    .read_data_in       (ddr_dq_in[8]),
    .clk90              (clk90),
    .write_en_val       (write_en_val)
    );
   vlog_xst_bl4_s3_ddr_iob  s3_ddr_iob9
    (
    .ddr_dq_inout       (ddr_dq[9]),
    .write_data_falling (write_data_falling[9]),
    .write_data_rising  (write_data_rising[9]),
    .read_data_in       (ddr_dq_in[9]),
    .clk90              (clk90),
    .write_en_val       (write_en_val)
    );
   vlog_xst_bl4_s3_ddr_iob  s3_ddr_iob10
    (
    .ddr_dq_inout       (ddr_dq[10]),
    .write_data_falling (write_data_falling[10]),
    .write_data_rising  (write_data_rising[10]),
    .read_data_in       (ddr_dq_in[10]),
    .clk90              (clk90),
    .write_en_val       (write_en_val)
    );
   vlog_xst_bl4_s3_ddr_iob  s3_ddr_iob11
    (
    .ddr_dq_inout       (ddr_dq[11]),
    .write_data_falling (write_data_falling[11]),
    .write_data_rising  (write_data_rising[11]),
    .read_data_in       (ddr_dq_in[11]),
    .clk90              (clk90),
    .write_en_val       (write_en_val)
    );
   vlog_xst_bl4_s3_ddr_iob  s3_ddr_iob12
    (
    .ddr_dq_inout       (ddr_dq[12]),
    .write_data_falling (write_data_falling[12]),
    .write_data_rising  (write_data_rising[12]),
    .read_data_in       (ddr_dq_in[12]),
    .clk90              (clk90),
    .write_en_val       (write_en_val)
    );
   vlog_xst_bl4_s3_ddr_iob  s3_ddr_iob13
    (
    .ddr_dq_inout       (ddr_dq[13]),
    .write_data_falling (write_data_falling[13]),
    .write_data_rising  (write_data_rising[13]),
    .read_data_in       (ddr_dq_in[13]),
    .clk90              (clk90),
    .write_en_val       (write_en_val)
    );
   vlog_xst_bl4_s3_ddr_iob  s3_ddr_iob14
    (
    .ddr_dq_inout       (ddr_dq[14]),
    .write_data_falling (write_data_falling[14]),
    .write_data_rising  (write_data_rising[14]),
    .read_data_in       (ddr_dq_in[14]),
    .clk90              (clk90),
    .write_en_val       (write_en_val)
    );
   vlog_xst_bl4_s3_ddr_iob  s3_ddr_iob15
    (
    .ddr_dq_inout       (ddr_dq[15]),
    .write_data_falling (write_data_falling[15]),
    .write_data_rising  (write_data_rising[15]),
    .read_data_in       (ddr_dq_in[15]),
    .clk90              (clk90),
    .write_en_val       (write_en_val)
    );

endmodule
