///////////////////////////////////////////////////////////////////////////////
// Copyright (c) 2005 Xilinx, Inc.
// This design is confidential and proprietary of Xilinx, All Rights Reserved.
///////////////////////////////////////////////////////////////////////////////
//   ____  ____
//  /   /\/   /
// /___/  \  /   Vendor			: Xilinx
// \   \   \/    Version		: $Name: mig_v1_7_b7 $
//  \   \        Application		: MIG
//  /   /        Filename		: vlog_xst_bl4_infrastructure.v
// /___/   /\    Date Last Modified	: $Date: 2007/02/20 10:35:45 $
// \   \  /  \   Date Created		: Mon May 2 2005
//  \___\/\___\
// Device	: Spartan-3/3A
// Design Name	: DDR2 SDRAM
// Purpose	:
///////////////////////////////////////////////////////////////////////////////

`timescale 1ns/100ps
module vlog_xst_bl4_infrastructure
  (
   input        clk_int,
   input        rst_calib1,
   input [4:0]  delay_sel_val,
   output [4:0] delay_sel_val1_val
   );


   reg [4:0]    delay_sel_val1; 
   reg          rst_calib1_r1;
   reg          rst_calib1_r2;


   assign       delay_sel_val1_val = delay_sel_val1;



   always@(negedge clk_int) begin
      rst_calib1_r1    <= rst_calib1;
   end

   always@(posedge clk_int) begin
      rst_calib1_r2    <= rst_calib1_r1;
   end
   
   always@(posedge clk_int) begin
     if( rst_calib1_r2 == 1'b0 )
       delay_sel_val1    <= delay_sel_val;
     else
       delay_sel_val1      <= delay_sel_val1;
   end

endmodule
