///////////////////////////////////////////////////////////////////////////////
// Copyright (c) 2005 Xilinx, Inc.
// This design is confidential and proprietary of Xilinx, All Rights Reserved.
///////////////////////////////////////////////////////////////////////////////
//   ____  ____
//  /   /\/   /
// /___/  \  /   Vendor			: Xilinx
// \   \   \/    Version		: $Name: mig_v1_7_b7 $
//  \   \        Application		: MIG
//  /   /        Filename		: vlog_xst_bl4_infrastructure_iobs_0.v
// /___/   /\    Date Last Modified	: $Date: 2007/02/19 12:03:15 $
// \   \  /  \   Date Created		: Mon May 2 2005
//  \___\/\___\
// Device	: Spartan-3/3A
// Design Name	: DDR2 SDRAM
// Purpose	: This module has the FDDRRSE instantiations to the clocks.
///////////////////////////////////////////////////////////////////////////////

`include "../source/sdramtst/vlog_xst_bl4_parameters_0.v"
`timescale 1ns/100ps

module vlog_xst_bl4_infrastructure_iobs_0
  (
   input                     clk0,
   output [(`clk_width-1):0] DDR2_CK,
   output [(`clk_width-1):0] DDR2_CK_N
  );

   wire                      vcc;
   wire                      gnd;



   wire ddr2_clk0_q;


   assign   gnd = 1'b0;
   assign   vcc = 1'b1;




//---- ***********************************************************
//----     Output DDR generation
//----     This includes instantiation of the output DDR flip flop
//----     for ddr clk's and dimm clk's
//---- ***********************************************************



   FDDRRSE DDRCLK0_INST
     (
      .Q  (ddr2_clk0_q),
      .C0 (clk0),
      .C1 (~clk0),
      .CE (vcc),
      .D0 (vcc),
      .D1 (gnd),
      .R  (gnd),
      .S  (gnd)
      );

//---- ******************************************
//---- Ouput BUffers for ddr clk's and dimm clk's
//---- ******************************************



   OBUFDS r0
     (
      .I(ddr2_clk0_q),
      .O(DDR2_CK[0]),
      .OB(DDR2_CK_N[0])
      );

endmodule
