///////////////////////////////////////////////////////////////////////////////
// Copyright (c) 2005 Xilinx, Inc.
// This design is confidential and proprietary of Xilinx, All Rights Reserved.
///////////////////////////////////////////////////////////////////////////////
//   ____  ____
//  /   /\/   /
// /___/  \  /   Vendor			: Xilinx
// \   \   \/    Version		: $Name: mig_v1_7_b7 $
//  \   \        Application		: MIG
//  /   /        Filename		: vlog_xst_bl4_iobs_0.v
// /___/   /\    Date Last Modified	: $Date: 2007/02/19 12:03:12 $
// \   \  /  \   Date Created		: Mon May 2 2005
//  \___\/\___\
// Device	: Spartan-3/3A
// Design Name	: DDR2 SDRAM
// Purpose	: This module has the instantiations infrastructure_ios, 
//		  data_path_iobs and controller_iobs modules
///////////////////////////////////////////////////////////////////////////////

`include "../source/sdramtst/vlog_xst_bl4_parameters_0.v"
`timescale 1ns/100ps

module vlog_xst_bl4_iobs_0
  (
   input                                clk,
   input                                clk90,
   input                                ddr_rasb_cntrl,
   input                                ddr_casb_cntrl,
   input                                ddr_web_cntrl,
   input                                ddr_cke_cntrl,
   input                                ddr_csb_cntrl,
   input                                ddr_ODT_cntrl,
   input [(`row_address-1):0]           ddr_address_cntrl,
   input [(`bank_address-1):0]          ddr_ba_cntrl,
   input                                rst_dqs_div_int,
   input                                dqs_reset,
   input                                dqs_enable,
   inout [((`data_strobe_width)-1):0]   ddr_dqs,
   inout  [(`data_strobe_width-1):0] ddr_dqs_n,
   inout [(`data_width-1):0]            ddr_dq,
   input [(`data_width-1):0]            write_data_falling,
   input [(`data_width-1):0]            write_data_rising,
   input                                write_en_val,
   input [((`data_mask_width)-1):0]     data_mask_f,
   input [((`data_mask_width)-1):0]     data_mask_r,
   output [(`clk_width-1):0]            DDR2_CK,
   output [(`clk_width-1):0]            DDR2_CK_N,
   output                               ddr_rasb,
   output                               ddr_casb,
   output                               ddr_web,
   output [(`bank_address-1):0]         ddr_ba,
   output [(`row_address-1):0]          ddr_address,
   output                               ddr_cke,
   output                               ddr_csb,
   output                               ddr_ODT0,
   output                               rst_dqs_div,
   input                                rst_dqs_div_in,
   output                               rst_dqs_div_out,
   output    dqs_int_delay_in0, 
   output    dqs_int_delay_in1, 
   output     [((`data_mask_width)-1):0]ddr_dm,
   output [((`data_width)-1):0]         dq
   );



   vlog_xst_bl4_infrastructure_iobs_0 infrastructure_iobs0
     (
      .DDR2_CK      (DDR2_CK),
      .DDR2_CK_N        (DDR2_CK_N),
      .clk0           (clk)
      );

   vlog_xst_bl4_controller_iobs_0 controller_iobs0
     (
      .clk0              (clk),
      .ddr_rasb_cntrl    (ddr_rasb_cntrl),
      .ddr_casb_cntrl    (ddr_casb_cntrl),
      .ddr_web_cntrl     (ddr_web_cntrl),
      .ddr_cke_cntrl     (ddr_cke_cntrl),
      .ddr_csb_cntrl     (ddr_csb_cntrl),
      .ddr_ODT_cntrl     (ddr_ODT_cntrl),
      .ddr_address_cntrl (ddr_address_cntrl),
      .ddr_ba_cntrl      (ddr_ba_cntrl),
      .rst_dqs_div_int   (rst_dqs_div_int),
      .ddr_rasb          (ddr_rasb),
      .ddr_casb          (ddr_casb),
      .ddr_web           (ddr_web),
      .ddr_ba            (ddr_ba),
      .ddr_address       (ddr_address),
      .ddr_cke           (ddr_cke),
      .ddr_csb           (ddr_csb),
      .ddr_ODT0          (ddr_ODT0),
      .rst_dqs_div       (rst_dqs_div),
      .rst_dqs_div_in    (rst_dqs_div_in),
      .rst_dqs_div_out   (rst_dqs_div_out)
      );


   vlog_xst_bl4_data_path_iobs_0 datapath_iobs0
     (
      .clk                (clk),
      .clk90              (clk90),
      .dqs_reset          (dqs_reset),
      .dqs_enable         (dqs_enable),
      .ddr_dqs            (ddr_dqs),
     .ddr_dqs_n (ddr_dqs_n),
      .ddr_dq             (ddr_dq),
      .write_data_falling (write_data_falling),
      .write_data_rising  (write_data_rising),
      .write_en_val       (write_en_val),
      .data_mask_f        (data_mask_f),
      .data_mask_r        (data_mask_r),
      .dqs_int_delay_in0  (dqs_int_delay_in0),
      .dqs_int_delay_in1  (dqs_int_delay_in1),
      .ddr_dm             (ddr_dm) ,
      .ddr_dq_val         (dq)
      );


endmodule
