///////////////////////////////////////////////////////////////////////////////
// Copyright (c) 2005 Xilinx, Inc.
// This design is confidential and proprietary of Xilinx, All Rights Reserved.
///////////////////////////////////////////////////////////////////////////////
//   ____  ____
//  /   /\/   /
// /___/  \  /   Vendor			: Xilinx
// \   \   \/    Version		: $Name: mig_v1_7_b7 $
//  \   \        Application		: MIG
//  /   /        Filename		: vlog_xst_bl4_lfsr32_0.v
// /___/   /\    Date Last Modified	: $Date: 2007/02/07 15:52:34 $
// \   \  /  \   Date Created		: Mon May 2 2005
//  \___\/\___\
// Device	: Spartan-3/3A
// Design Name	: DDR2 SDRAM
// Purpose	: This module generate the user input data for hardware test.
///////////////////////////////////////////////////////////////////////////////

`timescale 1ns/100ps
`include "../source/sdramtst/vlog_xst_bl4_parameters_0.v"
module    vlog_xst_bl4_lfsr32_0
  (
   input                               clk,
   input                               rst,
   input                               lfsr_rst,
   input                               lfsr_ena,
   output [((`data_width*2)-1):0]      lfsr_out,
   output [((`data_mask_width*2)-1):0] lfsr_data_m
   );


   reg [7:0]                           lfsr_r;
   reg [7:0]                           lfsr_f;
   reg                                 rst_r;

   always @( posedge clk )
           rst_r <= rst;

   assign                              lfsr_data_m = 16'b0;

   assign                              lfsr_out = {  lfsr_r,  lfsr_r,    lfsr_f,    lfsr_f
                                                               };

   always @ (posedge clk) begin
      if (rst_r == 1'b1) begin
         lfsr_r <= 'b0;
         lfsr_f <= 'd1;
      end
      else begin
         if (lfsr_rst == 1'b1) begin
            lfsr_r <= 'b0;
            lfsr_f <= 'd1;
         end
         else if (lfsr_ena == 1'b1) begin
            lfsr_r <= lfsr_r + 2;
            lfsr_f <= lfsr_f + 2;
         end
         else begin
            lfsr_f <= lfsr_f ;
            lfsr_r <= lfsr_r;
         end
      end
   end

endmodule
